Welcome to the Oculus Developer Forums!

Your participation on the forum is subject to the Oculus Code of Conduct.

In general, please be respectful and kind. If you violate the Oculus Code of Conduct, your access to the developer forums may be revoked at the discretion of Oculus staff.

APK has no versionName defined in manifest. This field is required.

jkspinjkspin Posts: 4
NerveGear
I have just tried uploading a new version to my alpha channel and I am receiving this error I have not seen before or could find any information in the forum about:

APK has no versionName defined in manifest. This field is required.

Help would be very appreciated. 
Tagged:

Comments

  • jkspinjkspin Posts: 4
    NerveGear
    For a temp fix, I had to manually add this to my manifest file:

    <manifest xmlns:android="http://schemas.android.com/apk/res/android"
    android:installLocation="auto"
    android:versionCode="4"
    android:versionName="1.7">



  • JacksonGordonJacksonGordon Posts: 138
    Art3mis
    Are you using Unity? I was able to find a handy plugin for the manifests that lets you select "create store compatible android manifest" - Just look through the tools/addons in android SDK for the one related to manifest.
  • jkspinjkspin Posts: 4
    NerveGear
    Are you using Unity? I was able to find a handy plugin for the manifests that lets you select "create store compatible android manifest" - Just look through the tools/addons in android SDK for the one related to manifest.
    Yes, I forgot to mention I was using Unity. I have in the past used the built-in manifest builder, but this time it did not work.
Sign In or Register to comment.